Insight api installation issue

I’ve been trying to install insight api (github dot com/bitpay/insight) for a few days but in vain , bitpay is no longer supporting this repository but I have an application that requires the endpoints in this one that aren’t supported by the new insight app.

I downloaded the repository and followed those instructions (www.npmjs dot com/package/insight-bitcore-api) .

Attempt 1 : node version : 0.10.40 ( as in the guide)

$ npm install

$ output

Attempt 2 node version 0.10.48 :

$ npm install

$ output

and I’ve tried with so many other node versions but nothing .

Am I doing something wrong , or it’s just impossible to get this working .
help me please